@import "../main/global";

.dt-container {
    border: 1px solid black;
    display: block;
    width: 100%;
    overflow-x: hidden;

    > table {
        display: table;
        border: 5px solid red;
        width: 100%;
        padding: 0;
        margin: 0;
        border-collapse: separate !important;

        thead, tbody, tfoot {
            max-width: 100%;
        }

        tr {
            display: table-row;
            width: 100%;
            height: 3rem;
            max-height: 3rem;
            line-height: 3rem;
        }

        td, th {
            display: table-cell;
            width: auto;
            white-space: nowrap !important;
            position: relative;
        }
    }

    @include desktop {
        border: 2px solid black;
    }
}